
mem_select=<?php echo $this->Config_model->conf_getFiltreData($this->session->id,'list_fournisseur','mem_select_3',0,0);?>;





<?php
   if ($model_de_fournisseur=="liste"){
   ?>

       createpagination_fournisseurs(0);
   <?php
   }


?>

        $('#pagination_fournisseurs').on('click','a',function(e){
            e.preventDefault();
            var pageNum = $(this).attr('data-ci-pagination-page');
            createpagination_fournisseurs(pageNum);
        });

        $("body").on("keyup", "input.filtre_fournisseurs_1", function(){
            createpagination_fournisseurs(0,1)
        });
        $("body").on("keyup", "input.filtre_fournisseurs_2", function(){
            createpagination_fournisseurs(0,2)
        });
        mem_select=0;
        $("body").on("change", ".filtre_fournisseurs_3", function(){
            var optionSelected = $("option:selected", this);
            mem_select = this.value;

            createpagination_fournisseurs(0,3)

        });
        (function($){
            $.fn.focusTextToEnd = function(){
                this.focus();
                var $thisVal = this.val();
                this.val('').val($thisVal);
                return this;
            }
        }(jQuery));
        function createpagination_fournisseurs(pageNum,nofiltre=1){

            if (typeof $('input.filtre_fournisseurs_1').val()!=='undefined' && $('input.filtre_fournisseurs_1').val()!="" )
                mem_filtre_fournisseurs_1=$('input.filtre_fournisseurs_1').val().trim();
            else
                mem_filtre_fournisseurs_1='null';

            if (typeof $('input.filtre_fournisseurs_2').val()!=='undefined'){

                mem_filtre_fournisseurs_2=$('input.filtre_fournisseurs_2').val().trim();}
            else
                mem_filtre_fournisseurs_2=<?php echo $this->Config_model->conf_getFiltreData($this->session->id,'list_fournisseur','mem_select_2','null',0,0);?>;

            if(mem_filtre_fournisseurs_2=="")
                mem_filtre_fournisseurs_2="null";
            if (mem_select!=0)

                mem_filtre_fournisseurs_3=mem_select;
            else
                mem_filtre_fournisseurs_3='null';

            //alert(mem_filtre_fournisseurs_1);
            // alert(mem_filtre_fournisseurs_2);
            $.ajax({
                url: '<?=base_url()?>index.php/Fournisseurs/loadData_list/'+pageNum+'/'+mem_filtre_fournisseurs_1+'/'+mem_filtre_fournisseurs_2+'/'+mem_filtre_fournisseurs_3+'/1/<?php echo($model_de_fournisseur);?>',
                type: 'get',
                dataType: 'json',
                success: function(responseData){
                    $('#pagination_fournisseurs').empty();
                    $('#pagination_fournisseurs').html(responseData.pagination);
                    $('#fournisseurs_List').empty();
                    $('#fournisseurs_List').html(responseData.list);

                    $('#Fournisseurs_actif').empty();
                    $('#Fournisseurs_actif').html(responseData.recordCount);

                    $('input.filtre_fournisseurs_'+nofiltre).focusTextToEnd();
                }
            });
        }



